Instalar Repositorios de Kali linux en Ubuntu/debian

kali-linuxHace poco instalé Kali en la notebook que uso para todo, grave error. Las primeras horas del fin de semana, todo excelente, los paquetes funcionan sin drama, es bastante rápido (podría ser un poco más rápido igual), pero los problemas comenzaron cuando quería usarla para el trabajo en la oficina (trabajo en oficina y aparte de la administración de redes), el thunderbird no lo tenía ni instalado ni en repositorios. Google Chrome no se ejecuta con usuario root (por defecto), etc.

Decidí volver a mi viejo y querido ubuntu (viejo por decirlo ya que estoy con la 13.04) y además de instalarle openbox y demás, decidí agregarle todo lo de kali linux y ahí donde empezaron problemas con uno y otro, así que detallo todos los pasos para dejarlo funcionando.

Actualizar repositorios actuales:

sudo apt-get update

Luego instalar lo básico:

sudo apt-get install build-essential

Ahora pasamos a lo necesario para que Kali Linux funcione adecuadamente, en su mayoría son compiladores.

Sigan el orden que detallo, nada de hacer una única línea, porque quise hacer eso y me saltó algún error por medio.

sudo apt-get install build-essential checkinstall
sudo apt-get install autoconf automake autotools-dev m4
sudo apt-get install libx11-dev
sudo apt-get install freeglut3-dev

Ahora nos toca agregar los repositorios, yo lo hago con “nano” porque me resulta más cómodo, pero pueden hacerlo con “pico”, “gedit”, “vi”, o el editor que les guste más.

sudo nano /etc/apt/sources.list

Al final nos conviene comenzar una línea con un numeral (#) y poner algo como “repositorios kali linux” solo para recordar de donde era eso y que quede todo más ordenado.

deb http://http.kali.org/kali kali main contrib non-free
deb-src http://http.kali.org/kali kali main contrib non-free
deb http://security.kali.org/kali-security kali/updates main contrib non-free
deb-src http://security.kali.org/kali-security kali/updates main contrib non-free

Ahora nos toca actualizar la lista de repositorios nuevamente:

sudo apt-get update

Y nos encontramos con el siguiente error:

W: Error de GPG: http://http.kali.org kali Release: Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY ED444FF07D8D0BF6
W: Error de GPG: http://security.kali.org kali/updates Release: Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY ED444FF07D8D0BF6

Esto es totalmente normal cuando agregamos un repositorio de otra Distribución linux, y para solucionarlo:

sudo apt-key adv –keyserver pgp.mit.edu –recv-keys ED444FF07D8D0BF6

Pueden actualizar los repositorios para corroborar que haya quedado bien.

sudo apt-get update

Ahora no debería tener ningún error, y probamos instalando algo de kali Linux por ejemplo el Wireshark

sudo apt-get install wireshark

Fuente

Dejar un comentario?

13 Comentarios.

  1. des pues del update me sale Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ raring-security/main amd64 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_raring-security_main_binary-amd64_Packages)

  2. dexter yo repare ese detalle poniendo un signo de “#” sin comillas por que ahi 2 repositorios repetidos, solo ubica cuales son y gracias admin me sirvio bastante!! 😀

  3. Excellent article. Keep writing such kind of information on your
    page. Im really impressed by your blog.
    Hi there, You’ve performed a fantastic job. I’ll definitely digg it and in my opinion recommend to my friends.
    I’m sure they’ll be benefited from this site.

  4. buenas, tengo un debian wheezy aplico el codigo para la llave pero me sigue arrojando el mismo error, que hago?

    W: Error de GPG: http://http.kali.org kali Release: Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY ED444FF07D8D0BF6

  5. get key ubuntu 13.04:

    sudo apt-key adv –keyserver pgp.mit.edu –recv-keys ED444FF07D8D0BF6

  6. A mi el error que me da luego antes de instalar en kali linux 64bits ya sea un deb o update, upgrade o dist-upgrade como es este caso es este:

    The following packages have been kept back:
    libgnutls-openssl27 libgnutls26 libgudev-1.0-0 libopus0 libssl-dev libssl1.0.0 libsystemd-login0 linux-headers-amd64 linux-image-amd64 openssl
    udev
    The following packages will be upgraded:
    linux-image-3.2.0-4-rt-amd64
    1 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.
    160 not fully installed or removed.
    Need to get 0 B/23.7 MB of archives.
    After this operation, 2,315 kB disk space will be freed.
    Do you want to continue [Y/n]? y
    Reading changelogs… Done
    Preconfiguring packages …
    (Reading database … 408925 files and directories currently installed.)
    Preparing to replace linux-image-3.2.0-4-rt-amd64 3.2.54-2 (using …/linux-image-3.2.0-4-rt-amd64_3.2.57-3_amd64.deb) …
    Examining /etc/kernel/preinst.d/
    run-parts: executing /etc/kernel/preinst.d/intel-microcode 3.2.0-4-rt-amd64 /boot/vmlinuz-3.2.0-4-rt-amd64
    Unpacking replacement linux-image-3.2.0-4-rt-amd64 …
    Examining /etc/kernel/postrm.d .
    run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.2.0-4-rt-amd64 /boot/vmlinuz-3.2.0-4-rt-amd64
    run-parts: executing /etc/kernel/postrm.d/zz-extlinux 3.2.0-4-rt-amd64 /boot/vmlinuz-3.2.0-4-rt-amd64
    P: Checking for EXTLINUX directory… found.
    /boot/vmlinuz-3.12-kali1-amd64 /boot/vmlinuz-3.2.0-4-amd64 /boot/vmlinuz-3.2.0-4-rt-amd64 /boot/vmlinuz-3.2.0-4-rt-amd64.dpkg-tmp
    P: Writing config for /boot/vmlinuz-3.12-kali1-amd64…
    P: Writing config for /boot/vmlinuz-3.2.0-4-rt-amd64…
    P: Writing config for /boot/vmlinuz-3.2.0-4-amd64…
    I: os-proper disabled in /etc/default/extlinux: Skipping /boot/extlinux/os-proper.cfg
    E: /usr/share/EXTLINUX/themes/debian: No such file or directory
    run-parts: /etc/kernel/postrm.d/zz-extlinux exited with return code 1
    Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-3.2.0-4-rt-amd64.postrm line 212, line 2.
    dpkg: warning: subprocess old post-removal script returned error exit status 2
    dpkg: trying script from the new package instead …
    Examining /etc/kernel/postrm.d .
    run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.2.0-4-rt-amd64 /boot/vmlinuz-3.2.0-4-rt-amd64
    run-parts: executing /etc/kernel/postrm.d/zz-extlinux 3.2.0-4-rt-amd64 /boot/vmlinuz-3.2.0-4-rt-amd64
    P: Checking for EXTLINUX directory… found.
    /boot/vmlinuz-3.12-kali1-amd64 /boot/vmlinuz-3.2.0-4-amd64 /boot/vmlinuz-3.2.0-4-rt-amd64 /boot/vmlinuz-3.2.0-4-rt-amd64.dpkg-tmp
    P: Writing config for /boot/vmlinuz-3.12-kali1-amd64…
    P: Writing config for /boot/vmlinuz-3.2.0-4-rt-amd64…
    P: Writing config for /boot/vmlinuz-3.2.0-4-amd64…
    I: os-proper disabled in /etc/default/extlinux: Skipping /boot/extlinux/os-proper.cfg
    E: /usr/share/EXTLINUX/themes/debian: No such file or directory
    run-parts: /etc/kernel/postrm.d/zz-extlinux exited with return code 1
    Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/tmp.ci/postrm line 212, line 2.
    dpkg: error processing /var/cache/apt/archives/linux-image-3.2.0-4-rt-amd64_3.2.57-3_amd64.deb (–unpack):
    subprocess new post-removal script returned error exit status 2
    Examining /etc/kernel/postrm.d .
    run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.2.0-4-rt-amd64 /boot/vmlinuz-3.2.0-4-rt-amd64
    run-parts: executing /etc/kernel/postrm.d/zz-extlinux 3.2.0-4-rt-amd64 /boot/vmlinuz-3.2.0-4-rt-amd64
    P: Checking for EXTLINUX directory… found.
    /boot/vmlinuz-3.12-kali1-amd64 /boot/vmlinuz-3.2.0-4-amd64 /boot/vmlinuz-3.2.0-4-rt-amd64
    P: Writing config for /boot/vmlinuz-3.12-kali1-amd64…
    P: Writing config for /boot/vmlinuz-3.2.0-4-rt-amd64…
    P: Writing config for /boot/vmlinuz-3.2.0-4-amd64…
    I: os-proper disabled in /etc/default/extlinux: Skipping /boot/extlinux/os-proper.cfg
    E: /usr/share/EXTLINUX/themes/debian: No such file or directory
    run-parts: /etc/kernel/postrm.d/zz-extlinux exited with return code 1
    Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/tmp.ci/postrm line 212, line 2.
    dpkg: error while cleaning up:
    subprocess new post-removal script returned error exit status 2
    Errors were encountered while processing:
    /var/cache/apt/archives/linux-image-3.2.0-4-rt-amd64_3.2.57-3_amd64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  7. Este error no me deja isntalar nada y no encuentro como quitarlo….

  8. eso es sencillo solo tiene que entrar (nano /etc/apt/sources.list) y borra los :deb http://http.kali.org/kali kali main contrib non-free
    deb-src http://http.kali.org/kali kali main contrib non-free
    deb http://security.kali.org/kali-security kali/updates main contrib non-free
    deb-src http://security.kali.org/kali-security kali/updates main contrib non-free

  9. to perfecto ,solo que para instalar la llave en ubuntu 14.04
    la forma correcta es:

    gpg –keyserver subkeys.pgp.net –recv-key ED444FF07D8D0BF6 && gpg -a –export $PUBKRY | sudo apt-key add –

  10. Parabéns, deu tudo certo 😛

  11. How can I get blogspot updates on my Twitter feed?

Deje un comentario


NOTA - Puede usar estosHTML tags and attributes:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>